Class List Method List File List

# Class: TyphoeusCache

Inherits:
  CacheFileStore
  - Object
  - CacheFileStore
  - TyphoeusCache
  show all
Defined in:
  lib/common/typhoeus_cache.rb

## Instance Attribute Summary

### Attributes inherited from CacheFileStore

#serializer, #storage_path

## Instance Method Summary (collapse)

- - (Object) get(request)
- - (Object) set(request, response)

### Methods inherited from CacheFileStore

#clean, #get_entry_file_path, #initialize, #read_entry, #write_entry

## Constructor Details

This class inherits a constructor from CacheFileStore

## Instance Method Details

### - (`Object`) get(request)

    18
    19
    20
    # File 'lib/common/typhoeus_cache.rb', line 18

    def get(request)
      read_entry(request.cache_key)
    end

### - (`Object`) set(request, response)

    22
    23
    24
    # File 'lib/common/typhoeus_cache.rb', line 22

    def set(request, response)
      write_entry(request.cache_key, response, request.cache_ttl)
    end